SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Enumerations
ReplicaEnums.h File Reference

Contains enumerations used by the ReplicaManager system. This file is a lightweight header, so you can include it without worrying about linking in lots of other crap. More...

Go to the source code of this file.

## Enumerations

enum | { REPLICA_RECEIVE_DESTRUCTION =1<<0, REPLICA_RECEIVE_SERIALIZE =1<<1, REPLICA_RECEIVE_SCOPE_CHANGE =1<<2, REPLICA_SEND_CONSTRUCTION =1<<3, REPLICA_SEND_DESTRUCTION =1<<4, REPLICA_SEND_SCOPE_CHANGE =1<<5, REPLICA_SEND_SERIALIZE =1<<6, REPLICA_SET_ALL = 0xFF }
enum | ReplicaReturnResult { REPLICA_PROCESS_LATER, REPLICA_PROCESSING_DONE, REPLICA_CANCEL_PROCESS, REPLICA_PROCESS_AGAIN, REPLICA_PROCESS_IMPLICIT }

## Detailed Description

Contains enumerations used by the ReplicaManager system. This file is a lightweight header, so you can include it without worrying about linking in lots of other crap.

Definition in file ReplicaEnums.h.

## Enumeration Type Documentation

anonymous enum

Replica interface flags, used to enable and disable function calls on the Replica object Passed to ReplicaManager::EnableReplicaInterfaces and ReplicaManager::DisableReplicaInterfaces

Enumerator:

  REPLICA_RECEIVE_DESTRUCTION |
  REPLICA_RECEIVE_SERIALIZE |
  REPLICA_RECEIVE_SCOPE_CHANGE |
  REPLICA_SEND_CONSTRUCTION |
  REPLICA_SEND_DESTRUCTION |
  REPLICA_SEND_SCOPE_CHANGE |
  REPLICA_SEND_SERIALIZE |
  REPLICA_SET_ALL |

Definition at line 22 of file ReplicaEnums.h.

enum ReplicaReturnResult

Enumerator:

  REPLICA_PROCESS_LATER | This means call the function again later, with the same parameters.
  REPLICA_PROCESSING_DONE | This means we are done processing (the normal result to return)
  REPLICA_CANCEL_PROCESS | This means cancel the processing - don't send any network messages and don't change the current state.
  REPLICA_PROCESS_AGAIN | Same as REPLICA_PROCESSING_DONE, where a message is sent, but does not clear the send bit. Useful for multi-part sends with different reliability levels. Only currently used by Replica::Serialize
  REPLICA_PROCESS_IMPLICIT | Only returned from the Replica::SendConstruction interface, means act as if the other system had this object but don't actually Send a construction packet. This way you will still send scope and serialize packets to that system

Definition at line 34 of file ReplicaEnums.h.